summaryrefslogtreecommitdiff
path: root/exporters/darcs/t
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2012-02-29 12:50:00 +0100
committerJelmer Vernooij <jelmer@samba.org>2012-02-29 12:50:00 +0100
commit9cb7942d7429b185e6a80352ea015375eb203ca9 (patch)
treeed849529d3e96d24a6cfd1287aeacfa186542598 /exporters/darcs/t
parentf4165c0c842c7b80f33b93832c3b0fcc2cc95c8a (diff)
parent501697d4089bd97f545c546a174cbda48d0ce235 (diff)
downloadbzr-fastimport-9cb7942d7429b185e6a80352ea015375eb203ca9.tar.gz
Merge removal of exporters.
Diffstat (limited to 'exporters/darcs/t')
-rw-r--r--exporters/darcs/t/Makefile9
-rw-r--r--exporters/darcs/t/bench-results/Makefile5
-rw-r--r--exporters/darcs/t/bench-results/bench-results.gnu6
-rw-r--r--exporters/darcs/t/bench-results/bench-results.py23
-rw-r--r--exporters/darcs/t/bench-tailor.sh59
-rw-r--r--exporters/darcs/t/bench.sh38
-rw-r--r--exporters/darcs/t/data/hungarian.gifbin90 -> 0 bytes
-rw-r--r--exporters/darcs/t/lib-httpd.sh67
-rw-r--r--exporters/darcs/t/lib.sh337
-rw-r--r--exporters/darcs/t/test-bzr.sh16
-rw-r--r--exporters/darcs/t/test-git-d2x.sh19
-rw-r--r--exporters/darcs/t/test-git-incremental.sh24
-rw-r--r--exporters/darcs/t/test-git-progress.sh18
-rw-r--r--exporters/darcs/t/test-git.sh18
-rw-r--r--exporters/darcs/t/test-hg-d2x.sh12
-rw-r--r--exporters/darcs/t/test-hg.sh16
-rw-r--r--exporters/darcs/t/test2-bzr-d2x.sh19
-rw-r--r--exporters/darcs/t/test2-bzr-incremental.sh21
-rw-r--r--exporters/darcs/t/test2-git-funny-tagname.sh25
-rw-r--r--exporters/darcs/t/test2-git-http.sh22
-rw-r--r--exporters/darcs/t/test2-git-incremental-specworkdir.sh22
-rw-r--r--exporters/darcs/t/test2-git-incremental.sh21
-rw-r--r--exporters/darcs/t/test2-git.sh18
-rw-r--r--exporters/darcs/t/testimport-bzr-x2d.sh15
-rw-r--r--exporters/darcs/t/testimport-bzr.sh15
-rw-r--r--exporters/darcs/t/testimport-copy.sh26
-rw-r--r--exporters/darcs/t/testimport-darcs.sh17
-rw-r--r--exporters/darcs/t/testimport-deleteall.sh31
-rw-r--r--exporters/darcs/t/testimport-git-incremental.sh16
-rw-r--r--exporters/darcs/t/testimport-git-twoway-gd.sh34
-rw-r--r--exporters/darcs/t/testimport-git-twoway.sh30
-rw-r--r--exporters/darcs/t/testimport-git-x2d.sh15
-rw-r--r--exporters/darcs/t/testimport-git.sh15
-rw-r--r--exporters/darcs/t/testimport-gitsymlink.sh45
-rw-r--r--exporters/darcs/t/testimport-hg-x2d.sh15
-rw-r--r--exporters/darcs/t/testimport-hg.sh15
-rw-r--r--exporters/darcs/t/testimport-rename.sh25
37 files changed, 0 insertions, 1129 deletions
diff --git a/exporters/darcs/t/Makefile b/exporters/darcs/t/Makefile
deleted file mode 100644
index de8a7ab..0000000
--- a/exporters/darcs/t/Makefile
+++ /dev/null
@@ -1,9 +0,0 @@
-T = $(wildcard test*.sh)
-
-all: $(T)
- @echo "passed $$(echo $(T)|wc -w) tests."
-
-$(T):
- @echo "*** $@ ***"; sh $@
-
-.PHONY: $(T)
diff --git a/exporters/darcs/t/bench-results/Makefile b/exporters/darcs/t/bench-results/Makefile
deleted file mode 100644
index 0157f69..0000000
--- a/exporters/darcs/t/bench-results/Makefile
+++ /dev/null
@@ -1,5 +0,0 @@
-bench-results.png: bench-results.gnu bench-results.dat
- gnuplot bench-results.gnu
-
-bench-results.dat: bench-results.py $(wildcard ../darcs-benchmark/big-zoo/*.log)
- python bench-results.py > bench-results.dat
diff --git a/exporters/darcs/t/bench-results/bench-results.gnu b/exporters/darcs/t/bench-results/bench-results.gnu
deleted file mode 100644
index f4e8917..0000000
--- a/exporters/darcs/t/bench-results/bench-results.gnu
+++ /dev/null
@@ -1,6 +0,0 @@
-set terminal png
-set output 'bench-results.png'
-unset key
-set xlabel "number of patches"
-set ylabel "elapsed time in hours"
-plot 'bench-results.dat' with linespoints
diff --git a/exporters/darcs/t/bench-results/bench-results.py b/exporters/darcs/t/bench-results/bench-results.py
deleted file mode 100644
index fbb834b..0000000
--- a/exporters/darcs/t/bench-results/bench-results.py
+++ /dev/null
@@ -1,23 +0,0 @@
-from glob import glob
-import re
-
-def cmp_data(a, b):
- return cmp(a[0], b[0])
-
-logs = glob("../darcs-benchmark/big-zoo/*.log")
-
-data = []
-
-for i in logs:
- sock = open(i)
- for j in sock.readlines():
- if "Num Patches:" in j:
- patches = int(j.split(": ")[1].strip())
- elif j.startswith("real"):
- l = re.sub("real\t([0-9]+)m([0-9.]+)s\n", r"\1 \2", j).split(" ")
- secs = int(l[0])*60 + float(l[1])
- hours = secs / 3600
- data.append([patches, hours])
-data.sort(cmp=cmp_data)
-for i in data:
- print "%s %s" % (i[0], i[1])
diff --git a/exporters/darcs/t/bench-tailor.sh b/exporters/darcs/t/bench-tailor.sh
deleted file mode 100644
index 7567f7b..0000000
--- a/exporters/darcs/t/bench-tailor.sh
+++ /dev/null
@@ -1,59 +0,0 @@
-#!/bin/sh
-
-create_config()
-{
- cd $1
- mypath=$(pwd)
- cd - >/dev/null
- myname=$(basename $mypath)
-
- cat > config << EOF
-[DEFAULT]
-encoding-errors-policy = replace
-
-[$myname]
-source = darcs:$myname
-target = git:$myname
-
-[darcs:$myname]
-subdir = darcs
-repository = $mypath
-
-[git:$myname]
-subdir = git
-repository = $mypath.git
-EOF
-}
-
-PATH=$HOME/darcs/tailor:$PATH
-if [ ! -d darcs-benchmark ]; then
- darcs get http://code.haskell.org/darcs/darcs-benchmark
- cd darcs-benchmark
-else
- cd darcs-benchmark
- darcs pull -a
-fi
-sh initialise.sh
-cd big-zoo
-if [ -n "$1" ]; then
- targets=$1
-else
- targets=*_play.tar.gz
-fi
-for i in $targets
-do
- echo "benchmarking $i"
- rm -rf _playground
- tar xf $i
- cd _playground
- log="../$i.tailor-$(tailor --version).log"
- create_config sandbox
- sh -c 'time tailor --configfile config' 2>&1 |tee $log
- if diff --exclude _darcs --exclude .git -Nur sandbox git >/dev/null; then
- echo "ok, the result is correct" >> $log
- else
- echo "ouch, the result is corrupted" >> $log
- exit 1
- fi
- cd ..
-done
diff --git a/exporters/darcs/t/bench.sh b/exporters/darcs/t/bench.sh
deleted file mode 100644
index a4b3d0d..0000000
--- a/exporters/darcs/t/bench.sh
+++ /dev/null
@@ -1,38 +0,0 @@
-#!/bin/sh
-
-# this is a test as well, but it would take a lot of time, so don't
-# prefix it with 'test'.
-
-. lib.sh
-
-if [ ! -d darcs-benchmark ]; then
- darcs get http://code.haskell.org/darcs/darcs-benchmark
- cd darcs-benchmark
-else
- cd darcs-benchmark
- darcs pull -a
-fi
-sh initialise.sh
-cd big-zoo
-if [ -n "$1" ]; then
- targets=$1
-else
- targets=*_play.tar.gz
-fi
-for i in $targets
-do
- echo "benchmarking $i"
- rm -rf _playground
- tar xf $i
- cd _playground
- log="../$i.d-f-e-$(git describe).log"
- sh -c 'time d2x -f git sandbox' 2>&1 |tee $log
- darcs show repo --repodir sandbox |egrep -v 'Root|Cache|Default' >> $log
- if diff_git sandbox >/dev/null; then
- echo "ok, the result is correct" >> $log
- else
- echo "ouch, the result is corrupted" >> $log
- exit 1
- fi
- cd ..
-done
diff --git a/exporters/darcs/t/data/hungarian.gif b/exporters/darcs/t/data/hungarian.gif
deleted file mode 100644
index 41a36fe..0000000
--- a/exporters/darcs/t/data/hungarian.gif
+++ /dev/null
Binary files differ
diff --git a/exporters/darcs/t/lib-httpd.sh b/exporters/darcs/t/lib-httpd.sh
deleted file mode 100644
index fad953e..0000000
--- a/exporters/darcs/t/lib-httpd.sh
+++ /dev/null
@@ -1,67 +0,0 @@
-#!/bin/sh
-#
-# This is based on git's t/lib-httpd.sh, which is
-# Copyright (c) 2008 Clemens Buchacher <drizzd@aon.at>
-#
-
-if test -n "$DFE_TEST_SKIP_HTTPD"
-then
- echo "skipping test (undef DFE_TEST_SKIP_HTTPD to enable)"
- exit
-fi
-
-LIB_HTTPD_PATH=${LIB_HTTPD_PATH-'/usr/sbin/httpd'}
-LIB_HTTPD_PORT=${LIB_HTTPD_PORT-'8111'}
-
-HTTPD_ROOT_PATH="$PWD"/httpd
-HTTPD_DOCUMENT_ROOT_PATH=$HTTPD_ROOT_PATH/www
-
-if ! test -x "$LIB_HTTPD_PATH"
-then
- echo "skipping test, no web server found at '$LIB_HTTPD_PATH'"
- exit
-fi
-
-HTTPD_VERSION=`$LIB_HTTPD_PATH -v | \
- sed -n 's/^Server version: Apache\/\([0-9]*\)\..*$/\1/p; q'`
-
-if test -n "$HTTPD_VERSION"
-then
- if test -z "$LIB_HTTPD_MODULE_PATH"
- then
- if ! test $HTTPD_VERSION -ge 2
- then
- echo "skipping test, at least Apache version 2 is required"
- exit
- fi
-
- LIB_HTTPD_MODULE_PATH='/usr/lib/apache'
- fi
-else
- error "Could not identify web server at '$LIB_HTTPD_PATH'"
-fi
-
-HTTPD_PARA="-d $HTTPD_ROOT_PATH -f $HTTPD_ROOT_PATH/apache.conf"
-
-prepare_httpd() {
- mkdir -p $HTTPD_DOCUMENT_ROOT_PATH
-
- ln -s $LIB_HTTPD_MODULE_PATH $HTTPD_ROOT_PATH/modules
-
- echo "PidFile httpd.pid" > $HTTPD_ROOT_PATH/apache.conf
- echo "DocumentRoot www" >> $HTTPD_ROOT_PATH/apache.conf
- echo "ErrorLog error.log" >> $HTTPD_ROOT_PATH/apache.conf
-
- HTTPD_URL=http://127.0.0.1:$LIB_HTTPD_PORT
-}
-
-start_httpd() {
- prepare_httpd
-
- "$LIB_HTTPD_PATH" $HTTPD_PARA \
- -c "Listen 127.0.0.1:$LIB_HTTPD_PORT" -k start
-}
-
-stop_httpd() {
- "$LIB_HTTPD_PATH" $HTTPD_PARA -k stop
-}
diff --git a/exporters/darcs/t/lib.sh b/exporters/darcs/t/lib.sh
deleted file mode 100644
index 7d2218a..0000000
--- a/exporters/darcs/t/lib.sh
+++ /dev/null
@@ -1,337 +0,0 @@
-export DARCS_EMAIL="user@example.com"
-export GIT_PAGER=cat
-export PATH="$(pwd)/..:$PATH"
-pypath="/$(python -c 'from distutils import sysconfig; print sysconfig.get_python_lib()[1:]')/"
-
-_drrec()
-{
- darcs rec --ignore-times "$@"
-}
-
-_drrec_multiline()
-{
- echo -e "`LANG= LC_ALL= date +"%a %b %d %H:%M:%S %Z %Y"`
-$DARCS_EMAIL
-$@" | darcs rec --ignore-times -a --pipe .
-}
-
-_drrecamend()
-{
- echo y |darcs amend-rec --ignore-times -a
-}
-
-create_darcs()
-{
- rm -rf $1
- mkdir -p $1
- cd $1
- darcs init $2
- echo A > file
- darcs add file
- _drrec -a -m A
- cd ..
- rm -rf $1.tmp
- darcs get $1 $1.tmp
- cd $1
- echo B > file
- _drrec -a -m B
- cd ../$1.tmp
- echo C > file
- _drrec -a -m C
- cd ../$1
- darcs pull -a ../$1.tmp
- echo D > file
- _drrec_multiline "first line
-second line
-third line"
- darcs tag 1.0
- echo e > file
- _drrec -a -m e
- echo f > file
- _drrec --author="éáõû <$DARCS_EMAIL>" -a -m f
- echo g > file
- _drrec --author="" -a -m g
- cp ../data/hungarian.gif .
- darcs add hungarian.gif
- _drrec -a -m "add a binary file"
- rm file
- echo test > file2
- darcs add file2
- _drrec -a -m "replace file with file2"
- touch file3
- darcs add file3
- _drrec -a -m "add empty file"
- rm file3
- _drrec -a -m "remove file"
- mkdir dir dir2
- darcs add dir
- darcs add dir2
- _drrec -a -m "add empty dirs"
- darcs mv dir dir-p
- darcs mv dir2 dir2-p
- _drrec -a -m "rename empty dirs"
- echo a > a
- echo b > b
- darcs add a b
- _drrec -a -m "add a b"
- rm b
- _drrec -a -m "remove and rename"
- darcs mv a b
- _drrecamend
- echo c > c
- darcs add c
- # empty commit message
- _drrec -a -m ""
- cd ..
-}
-
-create_bzr()
-{
- rm -rf $1
- mkdir -p $1
- cd $1
- bzr init $2
- echo A > file
- bzr add file
- bzr commit -m A
- cd ..
- rm -rf $1.tmp
- bzr branch $1 $1.tmp
- cd $1
- echo B > file
- bzr commit -m B
- cd ../$1.tmp
- echo C > file
- bzr commit -m C
- cd ../$1
- bzr merge ../$1.tmp
- echo D > file
- bzr resolve file
- echo "first line
-second line
-third line" | bzr commit -F /dev/stdin
- bzr tag 1.0
- echo e > file
- bzr commit -m e
- #echo f > file
- #bzr commit --author="éáõû <$DARCS_EMAIL>" -m f
- #echo g > file
- #_drrec --author="" -a -m g
- cp ../data/hungarian.gif .
- bzr add hungarian.gif
- bzr commit -m "add a binary file"
- rm file
- echo test > file2
- bzr add file2
- bzr commit -m "replace file with file2"
- touch file3
- bzr add file3
- bzr commit -m "add empty file"
- rm file3
- bzr commit -m "remove file"
- cd ..
-}
-
-create_hg()
-{
- rm -rf $1
- mkdir -p $1
- cd $1
- hg init $2
- echo A > file
- hg add file
- hg commit -m A
- cd ..
- rm -rf $1.tmp
- hg clone $1 $1.tmp
- cd $1
- echo B > file
- hg commit -m B
- cd ../$1.tmp
- echo C > file
- hg commit -m C
- cd ../$1
- hg pull ../$1.tmp
- hg merge
- echo D > file
- hg resolve -m file
- echo "first line
-second line
-third line" | hg commit -l /dev/stdin
- hg tag 1.0
- echo e > file
- hg commit -m e
- #echo f > file
- #bzr commit --author="éáõû <$DARCS_EMAIL>" -m f
- #echo g > file
- #_drrec --author="" -a -m g
- cp ../data/hungarian.gif .
- hg add hungarian.gif
- hg commit -m "add a binary file"
- hg rm file
- echo test > file2
- hg add file2
- hg commit -m "replace file with file2"
- touch file3
- hg add file3
- hg commit -m "add empty file"
- hg rm file3
- hg commit -m "remove file"
- mkdir subdir
- echo test > subdir/file
- hg add subdir/file
- hg commit -m "add subdir file"
- echo test2 > subdir/file
- hg commit -m "commit with weird date" -d "Fri Apr 03 12:38:26 2009 +1300"
- cd ..
-}
-create_git()
-{
- rm -rf $1
- mkdir -p $1
- cd $1
- git init $2
- git commit --allow-empty -m 'root commit'
- echo A > file
- git add file
- git commit -a -m A
- echo B > file
- git commit -a -m B
- git checkout -b tmp HEAD~1
- echo C > file
- git commit -a -m C
- git checkout master
- git merge tmp
- echo D > file
- echo "first line
-second line
-third line" | git commit -a -F -
- git branch -d tmp
- git tag 1.0
- echo e > file
- git commit -a -m e
- echo f > file
- git config i18n.commitencoding ISO-8859-2
- git commit --author="éáõû <$DARCS_EMAIL>" -a -m f
- cp ../data/hungarian.gif .
- git add hungarian.gif
- git commit -a -m "add a binary file"
- rm file
- echo test > file2
- git add file2
- git commit -a -m "replace file with file2"
- touch file3
- git add file3
- git commit -a -m "add empty file"
- rm file3
- git commit -a -m "remove file"
- # now add back 'file' with its old conents, so the mark gets
- # reused
- echo f > file
- git add file
- git commit -a -m "file: other -> f"
- # this is a boring file for Darcs
- touch foo.pyc
- git add foo.pyc
- git commit -a -m "boring file"
- # replace an uppercase file to a lowercase one
- echo SPAM > SPAM
- git add SPAM
- git commit -a -m SPAM
- rm SPAM
- echo spam > spam
- git add spam
- git commit -a -m "SPAM -> spam"
- cd ..
-}
-
-diff_git()
-{
- rm -rf $1.git.nonbare
- git clone -q $1.git $1.git.nonbare
- diff --exclude _darcs --exclude .git --exclude '*-darcs-backup*' -Nur $1.git.nonbare $1
- return $?
-}
-
-diff_importgit()
-{
- test -z "`(cd $1.darcs; darcs diff)`" &&
- diff --exclude _darcs --exclude .git --exclude '*-darcs-backup*' -Nur $1 $1.darcs
- return $?
-}
-
-diff_importhg()
-{
- cd $1.darcs && test -z "`darcs diff 2>&1`" && cd .. &&
- diff --exclude _darcs --exclude .hg --exclude '*-darcs-backup*' --exclude 'hg-export.*' \
- --exclude '.hgtags' --exclude '*.orig' -Nur $1 $1.darcs
- return $?
-}
-
-diff_importdarcs()
-{
- cd $1.importdarcs && test -z "`darcs diff 2>&1`" && cd .. &&
- diff --exclude _darcs --exclude '*-darcs-backup*' -Nur $1 $2
- return $?
-}
-
-diff_importbzr()
-{
- cd $1.darcs && test -z "`darcs diff 2>&1`" && cd .. &&
- diff --exclude _darcs --exclude .bzr --exclude '*-darcs-backup*' -Nur $1 $1.darcs
- return $?
-}
-
-diff_bzr()
-{
- cd $1.bzr/trunk
- bzr update
- cd - >/dev/null
- diff --exclude _darcs --exclude .bzr --exclude '*-darcs-backup*' -Nur $1.bzr/trunk $1
- return $?
-}
-
-diff_hg()
-{
- hg -R $1.hg update
- diff --exclude _darcs --exclude .hg --exclude '*-darcs-backup*' -Nur $1.hg $1
- return $?
-}
-
-die()
-{
- echo "fatal: $@"
- exit 1
-}
-
-upd_file_darcs()
-{
- cd $1
- echo $3 > $2
- _drrec -a -m "updated '$2' to '$3'"
- cd ..
-}
-
-upd_file_git()
-{
- cd $1
- echo $3 > $2
- git commit -a -m "updated '$2' to '$3'"
- cd ..
-}
-
-upd_file_bzr()
-{
- cd $1
- echo $3 > $2
- bzr commit -m "updated '$2' to '$3'"
- cd ..
-}
-
-upd_file_hg()
-{
- cd $1
- echo $3 > $2
- hg commit -m "updated '$2' to '$3'"
- cd ..
-}
diff --git a/exporters/darcs/t/test-bzr.sh b/exporters/darcs/t/test-bzr.sh
deleted file mode 100644
index 479f259..0000000
--- a/exporters/darcs/t/test-bzr.sh
+++ /dev/null
@@ -1,16 +0,0 @@
-. ./lib.sh
-
-create_darcs test --old-fashioned-inventory
-
-rm -rf test.darcs test.bzr
-mkdir test.bzr
-cd test.bzr
-bzr init-repo .
-cd ..
-if [ "$1" != "--stdout" ]; then
- darcs-fast-export test |(cd test.bzr; bzr fast-import -)
- diff_bzr test
- exit $?
-else
- darcs-fast-export test
-fi
diff --git a/exporters/darcs/t/test-git-d2x.sh b/exporters/darcs/t/test-git-d2x.sh
deleted file mode 100644
index 364edec..0000000
--- a/exporters/darcs/t/test-git-d2x.sh
+++ /dev/null
@@ -1,19 +0,0 @@
-. ./lib.sh
-
-create_darcs test --old-fashioned-inventory
-
-rm -rf test.git
-if [ "$1" != "--stdout" ]; then
- d2x -f git test
- diff_git test || die "initial conversion differs"
- upd_file_darcs test file2 upd_contents
- d2x -f git test
- diff_git test || die "update differs"
- upd_file_darcs test hungarian.gif "binary to text"
- d2x -f git test
- diff_git test || die "update2 differs"
- d2x -f git test
- diff_git test || die "update3 (noop) differs"
-else
- darcs-fast-export test
-fi
diff --git a/exporters/darcs/t/test-git-incremental.sh b/exporters/darcs/t/test-git-incremental.sh
deleted file mode 100644
index 1c62b9a..0000000
--- a/exporters/darcs/t/test-git-incremental.sh
+++ /dev/null
@@ -1,24 +0,0 @@
-. ./lib.sh
-
-create_darcs test --old-fashioned-inventory
-
-rm -rf test.darcs test.git
-mkdir test.git
-cd test.git
-git --bare init
-cd ..
-if [ "$1" != "--stdout" ]; then
- dmark="$(pwd)/test.dfe-marks"
- gmark="$(pwd)/test.gfi-marks"
- rm -f $mark $gmark
- darcs-fast-export --export-marks=$dmark test |(cd test.git; git fast-import --export-marks=$gmark)
- diff_git test || die "initial conversion differs"
- upd_file_darcs test file2 upd_contents
- darcs-fast-export --export-marks=$dmark --import-marks=$dmark test |(cd test.git; git fast-import --export-marks=$gmark --import-marks=$gmark)
- diff_git test || die "update differs"
- upd_file_darcs test hungarian.gif "binary to text"
- darcs-fast-export --export-marks=$dmark --import-marks=$dmark test |(cd test.git; git fast-import --export-marks=$gmark --import-marks=$gmark)
- diff_git test || die "update2 differs"
-else
- darcs-fast-export test
-fi
diff --git a/exporters/darcs/t/test-git-progress.sh b/exporters/darcs/t/test-git-progress.sh
deleted file mode 100644
index 6586e80..0000000
--- a/exporters/darcs/t/test-git-progress.sh
+++ /dev/null
@@ -1,18 +0,0 @@
-. ./lib.sh
-
-create_darcs test --old-fashioned-inventory
-
-rm -rf test.darcs test.git
-mkdir test.git
-cd test.git
-git --bare init
-cd ..
-if [ "$1" != "--stdout" ]; then
- darcs-fast-export --progres 2 test |(cd test.git; git fast-import)
- if [ $? = 0 ]; then
- diff_git test
- exit $?
- fi
-else
- darcs-fast-export test
-fi
diff --git a/exporters/darcs/t/test-git.sh b/exporters/darcs/t/test-git.sh
deleted file mode 100644
index de504ee..0000000
--- a/exporters/darcs/t/test-git.sh
+++ /dev/null
@@ -1,18 +0,0 @@
-. ./lib.sh
-
-create_darcs test --old-fashioned-inventory
-
-rm -rf test.darcs test.git
-mkdir test.git
-cd test.git
-git --bare init
-cd ..
-if [ "$1" != "--stdout" ]; then
- darcs-fast-export test |(cd test.git; git fast-import)
- if [ $? = 0 ]; then
- diff_git test
- exit $?
- fi
-else
- darcs-fast-export test
-fi
diff --git a/exporters/darcs/t/test-hg-d2x.sh b/exporters/darcs/t/test-hg-d2x.sh
deleted file mode 100644
index bc83385..0000000
--- a/exporters/darcs/t/test-hg-d2x.sh
+++ /dev/null
@@ -1,12 +0,0 @@
-. ./lib.sh
-
-create_darcs test --old-fashioned-inventory
-
-rm -rf test.hg
-if [ "$1" != "--stdout" ]; then
- d2x -f hg test
- diff_hg test
- exit $?
-else
- darcs-fast-export test
-fi
diff --git a/exporters/darcs/t/test-hg.sh b/exporters/darcs/t/test-hg.sh
deleted file mode 100644
index 95bfc4b..0000000
--- a/exporters/darcs/t/test-hg.sh
+++ /dev/null
@@ -1,16 +0,0 @@
-. ./lib.sh
-
-create_darcs test --old-fashioned-inventory
-
-rm -rf test.darcs test.hg
-mkdir test.hg
-cd test.hg
-hg init
-cd ..
-if [ "$1" != "--stdout" ]; then
- darcs-fast-export test |(cd test.hg; hg fastimport -)
- diff_hg test
- exit $?
-else
- darcs-fast-export test
-fi
diff --git a/exporters/darcs/t/test2-bzr-d2x.sh b/exporters/darcs/t/test2-bzr-d2x.sh
deleted file mode 100644
index 13812eb..0000000
--- a/exporters/darcs/t/test2-bzr-d2x.sh
+++ /dev/null
@@ -1,19 +0,0 @@
-. ./lib.sh
-
-create_darcs test2 --darcs-2
-
-rm -rf test2.bzr
-if [ "$1" != "--stdout" ]; then
- d2x -f bzr test2
- diff_bzr test2 || die "initial conversion differs"
- upd_file_darcs test2 file2 upd_contents
- d2x -f bzr test2
- diff_bzr test2 || die "update differs"
- upd_file_darcs test2 hungarian.gif "binary to text"
- d2x -f bzr test2
- diff_bzr test2 || die "update2 differs"
- d2x -f bzr test2
- diff_bzr test2 || die "update3 (noop) differs"
-else
- darcs-fast-export test2
-fi
diff --git a/exporters/darcs/t/test2-bzr-incremental.sh b/exporters/darcs/t/test2-bzr-incremental.sh
deleted file mode 100644
index d464559..0000000
--- a/exporters/darcs/t/test2-bzr-incremental.sh
+++ /dev/null
@@ -1,21 +0,0 @@
-. ./lib.sh
-
-create_darcs test2 --darcs-2
-
-rm -rf test2.darcs test2.bzr
-mkdir test2.bzr
-cd test2.bzr
-bzr init-repo .
-cd ..
-if [ "$1" != "--stdout" ]; then
- dmark="$(pwd)/test2.dfe-marks"
- bmark="$(pwd)/test2.bfi-marks"
- rm -f $mark $gmark
- darcs-fast-export --export-marks=$dmark test2 |(cd test2.bzr; bzr fast-import --export-marks=$bmark -)
- diff_bzr test2 || die "initial conversion differs"
- upd_file_darcs test2 file2 upd_contents
- darcs-fast-export --export-marks=$dmark --import-marks=$dmark test2 |(cd test2.bzr; bzr fast-import --export-marks=$bmark --import-marks=$bmark -)
- diff_bzr test2 || die "update differs"
-else
- darcs-fast-export test2
-fi
diff --git a/exporters/darcs/t/test2-git-funny-tagname.sh b/exporters/darcs/t/test2-git-funny-tagname.sh
deleted file mode 100644
index 03eca66..0000000
--- a/exporters/darcs/t/test2-git-funny-tagname.sh
+++ /dev/null
@@ -1,25 +0,0 @@
-. ./lib.sh
-
-create_darcs test2 --darcs-2
-cd test2
-darcs tag "this :just (won't work; die)"
-darcs tag "accent-tag-éáőű"
-cd ..
-
-rm -rf test2.darcs test2.git
-mkdir test2.git
-cd test2.git
-git --bare init
-cd ..
-if [ "$1" != "--stdout" ]; then
- darcs-fast-export test2 |(cd test2.git; git fast-import)
- ret=$?
- if [ $ret = 0 ]; then
- diff_git test2
- exit $?
- else
- exit $ret
- fi
-else
- darcs-fast-export test2
-fi
diff --git a/exporters/darcs/t/test2-git-http.sh b/exporters/darcs/t/test2-git-http.sh
deleted file mode 100644
index 02549e4..0000000
--- a/exporters/darcs/t/test2-git-http.sh
+++ /dev/null
@@ -1,22 +0,0 @@
-. ./lib.sh
-. ./lib-httpd.sh
-
-rm -rf test2.darcs test2.git httpd
-create_darcs test2 --darcs-2
-mkdir -p $HTTPD_DOCUMENT_ROOT_PATH
-mv -v test2 $HTTPD_DOCUMENT_ROOT_PATH
-ln -s $HTTPD_DOCUMENT_ROOT_PATH/test2 .
-
-mkdir test2.git
-cd test2.git
-git --bare init
-cd ..
-start_httpd
-darcs-fast-export $HTTPD_URL/test2 |(cd test2.git; git fast-import)
-ret=$?
-stop_httpd
-if [ $ret != 0 ]; then
- exit $ret
-fi
-diff_git test2
-exit $?
diff --git a/exporters/darcs/t/test2-git-incremental-specworkdir.sh b/exporters/darcs/t/test2-git-incremental-specworkdir.sh
deleted file mode 100644
index 83731f2..0000000
--- a/exporters/darcs/t/test2-git-incremental-specworkdir.sh
+++ /dev/null
@@ -1,22 +0,0 @@
-. ./lib.sh
-
-create_darcs test2 --darcs-2
-
-rm -rf test2.darcs test2.git
-mkdir test2.git
-cd test2.git
-git --bare init
-mkdir darcs
-cd ..
-if [ "$1" != "--stdout" ]; then
- dmark="$(pwd)/test2.git/darcs/test2.dfe-marks"
- gmark="$(pwd)/test2.git/darcs/test2.gfi-marks"
- rm -f $mark $gmark
- darcs-fast-export --export-marks=$dmark test2 --working test2.git/darcs/repo |(cd test2.git; git fast-import --export-marks=$gmark)
- diff_git test2 || die "initial conversion differs"
- upd_file_darcs test2 file2 upd_contents
- darcs-fast-export --export-marks=$dmark --import-marks=$dmark test2 --working test2.git/darcs/repo |(cd test2.git; git fast-import --export-marks=$gmark --import-marks=$gmark)
- diff_git test2 || die "update differs"
-else
- darcs-fast-export test2
-fi
diff --git a/exporters/darcs/t/test2-git-incremental.sh b/exporters/darcs/t/test2-git-incremental.sh
deleted file mode 100644
index 41a3937..0000000
--- a/exporters/darcs/t/test2-git-incremental.sh
+++ /dev/null
@@ -1,21 +0,0 @@
-. ./lib.sh
-
-create_darcs test2 --darcs-2
-
-rm -rf test2.darcs test2.git
-mkdir test2.git
-cd test2.git
-git --bare init
-cd ..
-if [ "$1" != "--stdout" ]; then
- dmark="$(pwd)/test2.dfe-marks"
- gmark="$(pwd)/test2.gfi-marks"
- rm -f $mark $gmark
- darcs-fast-export --export-marks=$dmark test2 |(cd test2.git; git fast-import --export-marks=$gmark)
- diff_git test2 || die "initial conversion differs"
- upd_file_darcs test2 file2 upd_contents
- darcs-fast-export --export-marks=$dmark --import-marks=$dmark test2 |(cd test2.git; git fast-import --export-marks=$gmark --import-marks=$gmark)
- diff_git test2 || die "update differs"
-else
- darcs-fast-export test2
-fi
diff --git a/exporters/darcs/t/test2-git.sh b/exporters/darcs/t/test2-git.sh
deleted file mode 100644
index a8fc005..0000000
--- a/exporters/darcs/t/test2-git.sh
+++ /dev/null
@@ -1,18 +0,0 @@
-. ./lib.sh
-
-create_darcs test2 --darcs-2
-
-rm -rf test2.darcs test2.git
-mkdir test2.git
-cd test2.git
-git --bare init
-cd ..
-if [ "$1" != "--stdout" ]; then
- darcs-fast-export test2 |(cd test2.git; git fast-import)
- if [ $? = 0 ]; then
- diff_git test2
- exit $?
- fi
-else
- darcs-fast-export test2
-fi
diff --git a/exporters/darcs/t/testimport-bzr-x2d.sh b/exporters/darcs/t/testimport-bzr-x2d.sh
deleted file mode 100644
index ebe014b..0000000
--- a/exporters/darcs/t/testimport-bzr-x2d.sh
+++ /dev/null
@@ -1,15 +0,0 @@
-. ./lib.sh
-
-create_bzr test
-
-rm -rf test.darcs
-x2d -f bzr test
-diff_importbzr test || die "initial conversion differs"
-upd_file_bzr test file2 upd_contents
-x2d -f bzr test
-diff_importbzr test || die "update differs"
-upd_file_bzr test hungarian.gif "binary to text"
-x2d -f bzr test
-diff_importbzr test || die "update2 differs"
-x2d -f bzr test
-diff_importbzr test || die "update3 (noop) differs"
diff --git a/exporters/darcs/t/testimport-bzr.sh b/exporters/darcs/t/testimport-bzr.sh
deleted file mode 100644
index 358c5e5..0000000
--- a/exporters/darcs/t/testimport-bzr.sh
+++ /dev/null
@@ -1,15 +0,0 @@
-. ./lib.sh
-
-create_bzr test
-
-rm -rf test.darcs
-mkdir test.darcs
-cd test.darcs
-darcs init
-cd ..
-(cd test; bzr fast-export .) | (cd test.darcs; darcs-fast-import)
-if [ $? != 0 ]; then
- exit 1
-fi
-diff_importbzr test
-exit $?
diff --git a/exporters/darcs/t/testimport-copy.sh b/exporters/darcs/t/testimport-copy.sh
deleted file mode 100644
index 109d87e..0000000
--- a/exporters/darcs/t/testimport-copy.sh
+++ /dev/null
@@ -1,26 +0,0 @@
-. ./lib.sh
-
-rm -rf test
-mkdir test
-cd test
-git init
-echo a > file
-git add file
-git commit -m a1
-cp file file2
-git add file2
-git commit -m b
-cd ..
-
-rm -rf test.darcs
-mkdir test.darcs
-cd test.darcs
-darcs init
-cd ..
-(cd test; git fast-export -C -C HEAD) > out
-cat out | (cd test.darcs; darcs-fast-import)
-if [ $? != 0 ]; then
- exit 1
-fi
-diff_importgit test
-exit $?
diff --git a/exporters/darcs/t/testimport-darcs.sh b/exporters/darcs/t/testimport-darcs.sh
deleted file mode 100644
index 8b6d603..0000000
--- a/exporters/darcs/t/testimport-darcs.sh
+++ /dev/null
@@ -1,17 +0,0 @@
-. ./lib.sh
-
-create_darcs test2 --darcs-2
-
-rm -rf test2.importdarcs test2.darcs
-mkdir test2.importdarcs
-cd test2.importdarcs
-darcs init
-cd ..
-
-darcs-fast-export test2 | (cd test2.importdarcs; darcs-fast-import)
-
-if [ $? != 0 ]; then
- exit 1
-fi
-diff_importdarcs test2 test2.importdarcs
-exit $?
diff --git a/exporters/darcs/t/testimport-deleteall.sh b/exporters/darcs/t/testimport-deleteall.sh
deleted file mode 100644
index 11c5a83..0000000
--- a/exporters/darcs/t/testimport-deleteall.sh
+++ /dev/null
@@ -1,31 +0,0 @@
-. ./lib.sh
-
-rm -rf test
-mkdir test
-cd test
-git init
-echo a > file
-git add file
-echo A > file2
-git add file2
-git commit -m a12
-git rm file*
-echo b>file3
-git add file3
-git commit -m b
-cd ..
-
-rm -rf test.darcs
-mkdir test.darcs
-cd test.darcs
-darcs init
-cd ..
-(cd test; git fast-export --progress=2 HEAD) > out
-sed -i '/^D file$/d' out
-sed -i 's/^D file2$/deleteall/' out
-cat out | (cd test.darcs; darcs-fast-import)
-if [ $? != 0 ]; then
- exit 1
-fi
-diff_importgit test
-exit $?
diff --git a/exporters/darcs/t/testimport-git-incremental.sh b/exporters/darcs/t/testimport-git-incremental.sh
deleted file mode 100644
index 6c92880..0000000
--- a/exporters/darcs/t/testimport-git-incremental.sh
+++ /dev/null
@@ -1,16 +0,0 @@
-. ./lib.sh
-
-create_git test
-
-rm -rf test.darcs
-mkdir test.darcs
-cd test.darcs
-darcs init
-cd ..
-gmark="$(pwd)/test.gfe-marks"
-dmark="$(pwd)/test.dfi-marks"
-(cd test; git fast-export --export-marks=$gmark HEAD) | (cd test.darcs; darcs-fast-import --export-marks=$dmark)
-diff_importgit test || die "initial conversion differs"
-upd_file_git test file2 upd_contents
-(cd test; git fast-export --export-marks=$gmark --import-marks=$gmark HEAD) | (cd test.darcs; darcs-fast-import --export-marks=$dmark --import-marks=$dmark)
-diff_importgit test || die "update differs"
diff --git a/exporters/darcs/t/testimport-git-twoway-gd.sh b/exporters/darcs/t/testimport-git-twoway-gd.sh
deleted file mode 100644
index 0e0c981..0000000
--- a/exporters/darcs/t/testimport-git-twoway-gd.sh
+++ /dev/null
@@ -1,34 +0,0 @@
-. ./lib.sh
-
-create_darcs test
-
-rm -rf test.git
-mkdir test.git
-cd test.git
-git init
-git darcs add upstream ../test
-git darcs pull upstream
-cd ..
-diff_git test || die "initial fetch differs"
-upd_file_darcs test file2 upd_contents
-cd test.git
-git darcs pull upstream
-cd ..
-diff_git test || die "fetch #1 differs"
-upd_file_git test.git file2 upd_contents2
-cd test.git
-git darcs push upstream
-cd ..
-diff_git test || die "push #1 difers"
-upd_file_darcs test file2 upd_contents3
-upd_file_darcs test file2 upd_contents32
-cd test.git
-git darcs pull upstream
-cd ..
-diff_git test || die "fetch #2 (multiple commits) differs"
-upd_file_git test.git file2 upd_contents4
-upd_file_git test.git file2 upd_contents42
-cd test.git
-git darcs push upstream
-cd ..
-diff_git test || die "push #2 (multiple commits) differs"
diff --git a/exporters/darcs/t/testimport-git-twoway.sh b/exporters/darcs/t/testimport-git-twoway.sh
deleted file mode 100644
index f9b515a..0000000
--- a/exporters/darcs/t/testimport-git-twoway.sh
+++ /dev/null
@@ -1,30 +0,0 @@
-. ./lib.sh
-
-create_git test
-
-rm -rf test.darcs
-mkdir test.darcs
-cd test.darcs
-darcs init
-cd ..
-gmark="$(pwd)/test.gmarks"
-dmark="$(pwd)/test.dmarks"
-
-(cd test; git fast-export --export-marks=$gmark HEAD) | (cd test.darcs; darcs-fast-import --export-marks=$dmark)
-diff_importgit test || die "initial conversion differs"
-upd_file_git test file2 upd_contents
-(cd test; git fast-export --export-marks=$gmark --import-marks=$gmark HEAD) | (cd test.darcs; darcs-fast-import --export-marks=$dmark --import-marks=$dmark)
-diff_importgit test || die "git -> darcs update #1 differs"
-upd_file_darcs test.darcs file2 upd_contents2
-darcs-fast-export --export-marks=$dmark --import-marks=$dmark --working test/.git/darcs test.darcs | (cd test; git fast-import --export-marks=$gmark --import-marks=$gmark)
-(cd test; git checkout -f)
-diff_importgit test || die "darcs -> git update #2 differs"
-upd_file_git test file2 upd_contents3
-upd_file_git test file2 upd_contents32
-(cd test; git fast-export --export-marks=$gmark --import-marks=$gmark HEAD) | (cd test.darcs; darcs-fast-import --export-marks=$dmark --import-marks=$dmark)
-diff_importgit test || die "git -> darcs update #3 differs"
-upd_file_darcs test.darcs file2 upd_contents4
-upd_file_darcs test.darcs file2 upd_contents42
-darcs-fast-export --export-marks=$dmark --import-marks=$dmark --working test/.git/darcs test.darcs | (cd test; git fast-import --export-marks=$gmark --import-marks=$gmark)
-(cd test; git checkout -f)
-diff_importgit test || die "darcs -> git update #4 differs"
diff --git a/exporters/darcs/t/testimport-git-x2d.sh b/exporters/darcs/t/testimport-git-x2d.sh
deleted file mode 100644
index f3f02a7..0000000
--- a/exporters/darcs/t/testimport-git-x2d.sh
+++ /dev/null
@@ -1,15 +0,0 @@
-. ./lib.sh
-
-create_git test
-
-rm -rf test.darcs
-x2d -f git test
-diff_importgit test || die "initial conversion differs"
-upd_file_git test file2 upd_contents
-x2d -f git test
-diff_importgit test || die "update differs"
-upd_file_git test hungarian.gif "binary to text"
-x2d -f git test
-diff_importgit test || die "update2 differs"
-x2d -f git test
-diff_importgit test || die "update3 (noop) differs"
diff --git a/exporters/darcs/t/testimport-git.sh b/exporters/darcs/t/testimport-git.sh
deleted file mode 100644
index 2e64e62..0000000
--- a/exporters/darcs/t/testimport-git.sh
+++ /dev/null
@@ -1,15 +0,0 @@
-. ./lib.sh
-
-create_git test
-
-rm -rf test.darcs
-mkdir test.darcs
-cd test.darcs
-darcs init
-cd ..
-(cd test; git fast-export --progress=2 HEAD) | (cd test.darcs; darcs-fast-import)
-if [ $? != 0 ]; then
- exit 1
-fi
-diff_importgit test
-exit $?
diff --git a/exporters/darcs/t/testimport-gitsymlink.sh b/exporters/darcs/t/testimport-gitsymlink.sh
deleted file mode 100644
index 100c583..0000000
--- a/exporters/darcs/t/testimport-gitsymlink.sh
+++ /dev/null
@@ -1,45 +0,0 @@
-. ./lib.sh
-
-create_git test
-cd test
-# add two dirs with the some contents, then remove the second
-# and make it a symlink to the first
-mkdir dira
-echo blabla > dira/file
-echo blablabla > dira/file2
-mkdir dirb
-touch dirb/file
-touch dirb/file2
-git add dira dirb
-git commit -a -m "add dira/dirb"
-rm -rf dirb
-ln -s dira dirb
-git add dirb
-git commit -a -m "change a dir to a symlink"
-cd ..
-
-rm -rf test.darcs
-mkdir test.darcs
-cd test.darcs
-darcs init
-cd ..
-(cd test; git fast-export --progress=2 HEAD) | (cd test.darcs; darcs-fast-import)
-# we *do* want this to fail, but with error code 2. that means that we
-# detected that symlinks are not supported and the user does not get a
-# meaningless exception
-if [ $? != 2 ]; then
- exit 1
-fi
-
-# now try with the symhack option
-rm -rf test.darcs
-mkdir test.darcs
-cd test.darcs
-darcs init
-cd ..
-(cd test; git fast-export --progress=2 HEAD) | (cd test.darcs; darcs-fast-import --symhack)
-if [ $? != 0 ]; then
- exit 1
-fi
-diff_importgit test
-exit $?
diff --git a/exporters/darcs/t/testimport-hg-x2d.sh b/exporters/darcs/t/testimport-hg-x2d.sh
deleted file mode 100644
index a1d7d62..0000000
--- a/exporters/darcs/t/testimport-hg-x2d.sh
+++ /dev/null
@@ -1,15 +0,0 @@
-. ./lib.sh
-
-create_hg test
-
-rm -rf test.darcs
-x2d -f hg test
-diff_importhg test || die "initial conversion differs"
-upd_file_hg test file2 upd_contents
-x2d -f hg test
-diff_importhg test || die "update differs"
-upd_file_hg test hungarian.gif "binary to text"
-x2d -f hg test
-diff_importhg test || die "update2 differs"
-x2d -f hg test
-diff_importhg test || die "update3 (noop) differs"
diff --git a/exporters/darcs/t/testimport-hg.sh b/exporters/darcs/t/testimport-hg.sh
deleted file mode 100644
index 7f6d215..0000000
--- a/exporters/darcs/t/testimport-hg.sh
+++ /dev/null
@@ -1,15 +0,0 @@
-. ./lib.sh
-
-create_hg test
-
-rm -rf test.darcs
-mkdir test.darcs
-cd test.darcs
-darcs init
-cd ..
-(cd test; $pypath/bzrlib/plugins/fastimport/exporters/hg-fast-export.py -r .) | (cd test.darcs; darcs-fast-import)
-if [ $? != 0 ]; then
- exit 1
-fi
-diff_importhg test
-exit $?
diff --git a/exporters/darcs/t/testimport-rename.sh b/exporters/darcs/t/testimport-rename.sh
deleted file mode 100644
index c6fa29f..0000000
--- a/exporters/darcs/t/testimport-rename.sh
+++ /dev/null
@@ -1,25 +0,0 @@
-. ./lib.sh
-
-rm -rf test
-mkdir test
-cd test
-git init
-echo a > file
-git add file
-git commit -m a1
-git mv file file2
-git commit -m b
-cd ..
-
-rm -rf test.darcs
-mkdir test.darcs
-cd test.darcs
-darcs init
-cd ..
-(cd test; git fast-export -M HEAD) > out
-cat out | (cd test.darcs; darcs-fast-import)
-if [ $? != 0 ]; then
- exit 1
-fi
-diff_importgit test
-exit $?